LibreOffice LibreOffice 25.8 SDK API Reference

List of all members
ChapterCollator Service Referencepublished

Specific collator to sort chapter numbering. More...

`import"ChapterCollator.idl";`

Inheritance diagram for ChapterCollator:

## Additional Inherited Members
Public Member Functions inherited from XCollator
long | compareSubstring ([in] string aStr1, [in] long nOff1, [in] long nLen1, [in] string aStr2, [in] long nOff2, [in] long nLen2)
| Compare 2 substrings in specific locale and algorithm. More...
long | compareString ([in] string aStr1, [in] string aStr2)
| Compare 2 strings in specific locale and algorithm. More...
long | loadDefaultCollator ([in] ::com::sun::star::lang::Locale aLocale, [in] long nCollatorOptions)
| Load the collator with default algorithm defined in locale data. More...
long | loadCollatorAlgorithm ([in] string aAlgorithmName, [in] ::com::sun::star::lang::Locale aLocale, [in] long nCollatorOptions)
| Load a particular collator algorithm for the locale. More...
sequence< string > | listCollatorAlgorithms ([in] ::com::sun::star::lang::Locale aLocale)
| List all collator algorithms for a given locale. More...
void | loadCollatorAlgorithmWithEndUserOption ([in] string aAlgorithmName, [in] ::com::sun::star::lang::Locale aLocale, [in] sequence< long > aCollatorOptions)
| Load a collator algorithm with options chosen by end user. More...
sequence< long > | listCollatorOptions ([in] string aAlgorithmName)
| List all end user collator options for a given algorithm. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Specific collator to sort chapter numbering.

The documentation for this service was generated from the following file:

- com/sun/star/i18n/ChapterCollator.idl